#ticket-shop-login-view {
  border-top-left-radius: var(--sheet-border-radius);
  border-top-right-radius: var(--sheet-border-radius);
  width: 100%;
  max-width: 44rem;
  max-height: min(100lvh - 0.8rem);

  @media (width >= 680px) and (height >= 620px) {
    &:not([hidden]) {
      border-radius: var(--sheet-border-radius);
      translate: 0% calc((100vh - 100%) / -2);
    }
  }


  button[action="continue"] {
    &:not(:disabled) {
      color: var(--color-blue);
    }
  }


  > form {
    padding-block: 3.2rem;
    padding-inline: 1.6rem;
    display: grid;
    grid-template-columns: auto 1fr;
    row-gap: 1.6rem;
    align-content: start;


    > .field {
      grid-column: 1 / -1;
      display: grid;
      grid-template-columns: subgrid;
      align-items: center;


      > .label {
        grid-column: 1 / -1;
        display: grid;
        grid-template-columns: subgrid;


        > span {
          justify-self: stretch;
          align-self: center;
          border: 1px solid var(--toolbar-border-color);
          border-right: none;
          border-top-left-radius: 100vmax;
          border-bottom-left-radius: 100vmax;
          padding-left: 1.6rem;
          padding-right: 0.8rem;
          height: 100%;
          align-content: center;
          text-align: right;
          font-weight: 600;
          background: var(--toolbar-background-color);
        }


        > input {
          border: 1px solid var(--toolbar-border-color);
          border-top-right-radius: 100vmax;
          border-bottom-right-radius: 100vmax;
          padding-left: 0.8rem;
          padding-right: 1.6rem;
          height: 3.6rem;
          font-size: 1.6rem;
        }
      }


      > .status {
        grid-column: 2 / 3;
        margin-top: 0.8rem;
        padding-inline: 0.8rem 1.6rem;
        height: 2.6em;
        font-size: 1.3rem;
        line-height: 1.3;
        overflow-wrap: break-word;
        hyphens: auto;
        color: var(--color-gray);

        > span:not([hidden]) {
          display: -webkit-box;
          -webkit-box-orient: vertical;
          -webkit-line-clamp: 2;
          overflow: hidden;
        }

        > .error {
          color: var(--color-red);
        }
      }
    }


    > .divider {
      grid-column: 1 / -1;
      justify-self: center;
      border: none;
      border-radius: 100vmax;
      width: 100%;
      height: 0.4rem;
      background: var(--toolbar-background-color);
    }


    > .registration {
      grid-column: 1 / -1;
      padding-inline: 1.6rem;
      display: grid;
      justify-content: center;
      gap: 0.8rem;
      text-align: center;
    }
  }


  > .\@error {
    padding-top: 3.2rem;
    padding-bottom: 1.6rem;
  }
}
